@extends('layout.app')
@section('title')
<title>{{$blog->title}}</title>
    <meta name="description" content="{{(\Illuminate\Support\Str::limit(strip_tags($blog->description), 100, $end='...'))}}">
    <meta name="robots" content="index, follow" />
    <meta property="og:url" content="" />
    <meta property="og:image" content="{{url($blog->image)}}"/>
    <meta property="og:title" content="{{$blog->title}}"/>
    <meta property="og:description" content="{{(\Illuminate\Support\Str::limit(strip_tags($blog->description), 100, $end='...'))}}"/>
@endsection
@section('content')
    <section class="blog-detail-section">
        <div class="row">
            <div class="col-md-8">
                <div class="blog-detail-desc">
                    <h2>{{$blog->title}} </h2>
                    <div class="blog-detail-img">
                        <img src="{{url($blog->image)}}" class="w-100" alt="">
                    </div>
                    @php $date = Carbon\Carbon::createFromFormat('Y-m-d', $blog->publish_date);@endphp
                    <div class="blog-socials">
                        <div class="blog-info">
                            <h6>{{$date->format('j M, Y')}}</h6>
                            <span></span>
                            <h6>5 min read</h6>
                        </div>
                        <div class="social-share">
                            <?php
                                $baseUrl="https://eteducation.com.au/blog/";
                                // $slug="$setting->slug";
                            ?>
                            <a target="_blank" class="socials-icon" href="https://www.facebook.com/sharer.php?u={{$baseUrl.$blog->slug}}">
                                <i class="fa-brands fa-facebook-f"></i>
                            </a>
                            <a target="_blank" class="socials-icon" href="https://twitter.com/share?text=Visit the link &url={{$baseUrl.$blog->slug}}">
                                <i class="fa-brands fa-twitter"></i>
                            </a>
                            <a target="_blank" class="socials-icon" href="https://www.linkedin.com/shareArticle?mini=true&url={{$baseUrl.$blog->slug}}">
                                <i class="fa-brands fa-linkedin-in"></i> 
                            </a>
                        </div>
                    </div>
                    {!!$blog->description!!}
                    <!-- <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularized in the 1960s with the release of Letterset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularized in the 1960s with the release of Letterset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum. Lorem Ipsum is simply dummy text of the printing and typesetting industry.
                        <br><br>
                        Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularized in the 1960s with the release of Letterset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularized in the 1960s with the release of Letterset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum. Lorem Ipsum is simply dummy text of the printing and typesetting industry. 
                        Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularized in the 1960s with the release of Letterset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularized in the 1960s with the release of Letterset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum. Lorem Ipsum is simply dummy text of the printing and typesetting industry.
                        <br><br>
                        Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularized in the 1960s with the release of Letterset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularized in the 1960s with the release of Letterset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum. Lorem Ipsum is simply dummy text of the printing and typesetting industry.
                    </p> -->
                </div>
            </div>
            <div class="col-md-4">
                <div class="recent-card">
                    <h1>Most Popular Blogs</h1>
                    @foreach(App\Models\NewsAndUpdate::where('id','!=',$blog->first()->id)->where('status','1')->get() as $recent)
                    <a href="{{url('blog/'.$recent->slug)}}" class="recent-card-content">
                        <div class="col-md-4 recent-card-img">
                            <img src="{{url($recent->thumbnail ?? $recent->image)}}" class="w-100" alt="">
                        </div>
                        <div class="col-md-8 recent-post-desc">
                        @php $date = Carbon\Carbon::createFromFormat('Y-m-d', $recent->publish_date);@endphp
                            <h5>{{$date->format('j M, Y')}}</h5>
                            <h5>2 min read</h5>
                            <h2>{{$recent->title}}</h2>
                        </div>
                    </a>
                    @endforeach
                </div>
            </div>
        </div>
    </section>
@endsection