@extends('layout.app')
@section('title')
<title>Blogs</title>
    <meta name="description" content="ET Education and Visa Services, presented by Extratech, is an adept provider of excellent education consultation, information, and visa guidance solution to students seeking schooling abroad.">
    <meta name="robots" content="index, follow" />
    <meta property="og:url" content="" />
    <meta property="og:image" content="{{url('frontend/images/banner.png')}}"/>
    <meta property="og:title" content="ET-Visas"/>
    <meta property="og:description" content="ET Education and Visa Services, presented by Extratech, is an adept provider of excellent education consultation, information, and visa guidance solution to students seeking schooling abroad."/>
@endsection
@section('content')
    <section class="abroad-banner-section" style="background: url({{url($page->banner_image)}})">
        <!-- <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Blogs</li>
            </ol>
        </nav> -->
        <div class="studyabroad-banner-header">
            <h1>{{$page->title}}</h1>
            <h5>{{$page->sub_title}}</h5>
        </div>
    </section>
    <section class="blogs-section">
        <h2 class="visa-para-title mb-5">
            <img src="{{url('frontend/icons/side-bars.svg')}}" class="me-2" alt=""> 
            Latest Articles
        </h2>
          @php
            $blog = $blogs->where('blog_type',1)->first();
          @endphp
          <div class="row g-5">
            <div class="col-md-5">
                <div class="featured-article">
                    <img src="{{url($blog->thumnail ?? $blog->image )}}" class="w-100" alt="">
                    <h3 class="dinline mr-3">Study in Australia</h3>
                    @php $date = Carbon\Carbon::createFromFormat('Y-m-d', $blog->publish_date);@endphp
                    <h6 class="dinline mr-3">{{$date->format('j M, Y')}}</h6>
                    <h2>{{$blog->title}} </h2>
                    {!!(\Illuminate\Support\Str::limit($blog->description, 200, $end='...'))!!}</p>
                    <a href="{{url('/blog/'.$blog->slug)}}">Read More <i class="fa-solid fa-arrow-right-long ms-2 fa-sm"></i></a>
                </div>
            </div>  
            <div class="col-md-7">
                <div class="related-articles">
                   @foreach($blogs->where('blog_type','!=',1) as $blog)
                    <div class="article-card">
                        <div class="col-md-4 article-img">
                            <img src="{{url($blog->thumbnail ?? $blog->image)}}" class="img-fluid" alt="">
                        </div>
                        <div class="col-md-8 article-desc">
                            <h3 class="dinline mr-3">Study in Australia</h3>
                            <h6 class="dinline mr-3">{{$blog->publish_date}}</h6>
                            <h2>{{$blog->title}} </h2>
                            {!!(\Illuminate\Support\Str::limit($blog->description, 200, $end='...'))!!}</p>
                            <a href="{{url('/blog/'.$blog->slug)}}">Read More <i class="fa-solid fa-arrow-right-long ms-2 fa-xs"></i></a>
                        </div>
                    </div>
                    @endforeach
                </div>
            </div>
        </div>
    </section>
    <section class="blog-banner">
        <div class="blog-banner-desc">
            <div class="blog-banner-content">
                <h2>Get started <span>today.</span></h2>
                <a href="{{url('contact')}}">FREE CONSULTATION</a>
            </div>
            <h5>Get Free Consultation with Experts</h5>
        </div>
    </section>
@endsection