@extends('layout.app')
@section('title')
<title>Services</title>
    <meta name="description" content="ET Education and Visa Services, presented by Extratech, is an adept provider of excellent education consultation, information, and visa guidance solution to students seeking schooling abroad.">
    <meta name="robots" content="index, follow" />
    <meta property="og:url" content="" />
    <meta property="og:image" content="{{url('frontend/images/banner.png')}}"/>
    <meta property="og:title" content="ET-Visas"/>
    <meta property="og:description" content="ET Education and Visa Services, presented by Extratech, is an adept provider of excellent education consultation, information, and visa guidance solution to students seeking schooling abroad."/>
@endsection
@section('content')
    <section class="services-page-section">
        <div class="row g-5">
            <div class="col-md-12">
                <div class="service-page-header">
                    <h2>Our Services</h2>
                    <h1>Get Benefits And Advantages</h1>
                </div>
            </div>
            <div class="col-lg-4 col-md-6">
                <a href="{{url('/study-abroad')}}" class="text-decoration-none">
                    <div class="service-page-card">
                        <div class="blog-img">
                            <img src="{{url('frontend/images/services/Study-Aboard.jpg')}}" class="w-100" alt="">
                        </div>
                        <div class="service-page-content">
                            <h2>Abroad Study</h2>
                            <p>Study abroad to enhance your education, broaden your perspectives, and achieve your career goals by selecting the right course and immersing yourself in a new culture.</p>
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-lg-4 col-md-6">
                <a href="{{url('/career_counselling')}}" class="text-decoration-none">
                    <div class="service-page-card">
                        <div class="blog-img">
                            <img src="{{url('frontend/images/services/Career-counselling.jpg')}}" class="w-100" alt="">
                        </div>
                        <div class="service-page-content">
                            <h2>Career Counselling</h2>
                            <p>Enhance your career prospects with professional guidance through career counselling for informed decision-making and successful career advancement.</p>
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-lg-4 col-md-6">
                <a href="{{url('/insurance')}}" class="text-decoration-none">
                    <div class="service-page-card">
                        <div class="blog-img">
                            <img src="{{url('frontend/images/services/Insucane.jpg')}}" class="w-100" alt="">
                        </div>
                        <div class="service-page-content">
                            <h2>Insurance</h2>
                            <p>Ensure your health and financial security with the right health insurance plan that offers comprehensive coverage at an affordable cost.</p>
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-lg-4 col-md-6">
                <a href="{{url('/visa/student-visa')}}" class="text-decoration-none">
                    <div class="service-page-card">
                        <div class="blog-img">
                            <img src="{{url('frontend/images/services/Student-Visa.jpg')}}" class="w-100" alt="">
                        </div>
                        <div class="service-page-content">
                            <h2>Student Visa</h2>
                            <p>Obtain a student visa to study in Australia and experience quality education, language improvement and cultural immersion.</p>
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-lg-4 col-md-6">
                <a href="{{url('/visa/skilled-migration-visa')}}" class="text-decoration-none">
                    <div class="service-page-card">
                        <div class="blog-img">
                            <img src="{{url('frontend/images/services/Skilled-Migration-visa.jpg')}}" class="w-100" alt="">
                        </div>
                        <div class="service-page-content">
                            <h2>Skilled Migration Visa</h2>
                            <p>Take advantage of new opportunities and a better quality of life abroad by exploring your eligibility for a skilled migration visa.</p>
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-lg-4 col-md-6">
                <a href="https://extratechs.com.au/academy" target="_blank" class="text-decoration-none">
                    <div class="service-page-card">
                        <div class="blog-img">
                            <img src="{{url('frontend/images/services/Business-visa.jpg')}}" class="w-100" alt="">
                        </div>
                        <div class="service-page-content">
                            <h2>Job Ready Program</h2>
                            <p>Launch your career with job-ready programs - targeted training, industry connections, and job placement opportunities for success.</p>
                        </div>
                    </div>
                </a>
            </div>
        </div>
    </section>
@endsection