@extends('layout.app')
@section('title')
<title>Study Abroad</title>
    <meta name="description" content="ET Education and Visa Services, presented by Extratech, is an adept provider of excellent education consultation, information, and visa guidance solution to students seeking schooling abroad.">
    <meta name="robots" content="index, follow" />
    <meta property="og:url" content="" />
    <meta property="og:image" content="{{url('frontend/images/banner.png')}}"/>
    <meta property="og:title" content="ET-Visas"/>
    <meta property="og:description" content="ET Education and Visa Services, presented by Extratech, is an adept provider of excellent education consultation, information, and visa guidance solution to students seeking schooling abroad."/>
@endsection
@section('content')
@php $service_sections = $service->service_sections()->where('status','1')->orderby('order_by','asc')->get(); @endphp
@if($service_sections->count() > 0)
@php $first_section = $service_sections[0]; @endphp
<section class="study-detail-section">
    <div class="row">
        <div class="col-md-6">
            <div class="study-detail-desc">
                <h1>{{$first_section->title}}</h1>
                {!!$first_section->description!!}
            </div>
        </div>
        <div class="col-md-6">
            <div class="sydney-img">
                <img src="{{url($first_section->image)}}" class="img-fluid" alt="">
            </div>
        </div>
    </div>
</section>
@php $second_section = $service_sections[1]; @endphp
@if($second_section->count() > 0)
<section class="study-sydney-section">
    <div class="study-detail-desc">
        <h1>{{$second_section->title}}</h1>
        {!!$second_section->description!!}
        <h5>The popular universities in NSW</h5>
    </div>
    <div class="row">
        @php $universities = $second_section->service_section_point; @endphp
        <div class="col-md-3">
            <div class="universities-card">
                <ul>
                    @foreach($universities->take(3) as $point)
                    <li>{{$point->point}}</li>
                    @endforeach  
                </ul>
            </div>
        </div>   
        <div class="col-md-3">
            <div class="universities-card">
                <ul>
                    @foreach($universities->skip(3)->take(3) as $point)
                     <li>{{$point->point}}</li>
                    @endforeach
                </ul>
            </div>
        </div>  
        <div class="col-md-3">
            <div class="universities-card">
                <ul> 
                   @foreach($universities->skip(6)->take(3) as $point)
                    <li>{{$point->point}}</li>
                   @endforeach
                </ul>
            </div>
        </div>
        {!!$second_section->sub_description!!}
    </div>
</section>
@endif
@php $third_section = $service_sections[2]; @endphp
@if($third_section->count() > 0)
<section class="scholarship-section">
    <div class="row">
        <div class="col-md-5">
            <div class="scholarship-img">
                <img src="{{url($third_section->image)}}" class="w-100" alt="">
            </div>
        </div>
        <div class="col-md-7">
            <div class="scholarship-desc">
                <h1>{{$third_section->title}}</h1>
                <h3>{{$third_section->sub_title}}</h3>
                {!!$third_section->description!!}
            </div>
        </div>
    </div>
</section>
@endif
@php $fourth_section = $service_sections[3]; @endphp
@if($fourth_section->count() > 0)
<section class="study-sydney-section">
    <div class="study-detail-desc">
        <h1>{{$fourth_section->title}}</h1>
        {!!$fourth_section->description!!}
            <!-- Various scholarship opportunities are offered to international students to study without worrying about financial support. Every scholarship to study in Australia has a different set of requirements based on the institution selected to pursue studies.
            <br><br>
            Parents seeking a scholarship for their child can also directly visit the respective university website for more information.
            <br><br>
            However, if you need a helping hand, we can assist in advising the best scholarship to study in Australia and aid in its application processes.
        </p>
        <h1>Travel and Accomodation</h1>
        <p>The average cost of living in Australia is a crucial factor to consider during your application and financial preparation.</p>
        <p>Here are some of the approximate weekly costs involved in sharing a rental to home-staying and more.</p>
        <ul>
            <li>Homestay – $235 to $325 per week</li>
            <li>Rental – $185 to $440 per week</li>
            <li>Shared Rental – $95 to $215 per week</li>
            <li>On-campus – $110 to $280 per week</li>
            <li>English language studies can cost around $300 per week.</li>
            <li>Hostels, Guesthouses – $90 to $150 per week</li>
        </ul>
        <p>If you choose a boarding school for your child in Australia, the yearly cost can range from $11,000 to $22,000. Similarly, other approximate weekly costs include:</p>
        <ul>
            <li>Gas and electricity – $10 to $20 per week</li>
            <li>Groceries and eating out – $140 to $280 per week</li>
            <li>Phone and Internet – $15 to $30 per week</li>
            <li>Public transport – $30 to $60 per week</li> 
            <li>Private car – $150 to $260 per week</li>
            <li>Entertainment – $80 to $150 per week</li>
        </ul>-->
    </div>
</section>
@endif
@else
Content needs to be added
@endif
@endsection